package cn.com.countrygarden.bi.main.service.domainname;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.domainname.DomainNameDTO;
import cn.com.countrygarden.bi.main.model.domainname.DomainCostData;
import cn.com.countrygarden.bi.main.model.domainname.DomainName;

import java.util.List;

public interface DomainnameService {
    // Result showDomainnameList(DomainName domainname, String userCode, int page, int size, Map<String, Object> timeMap);
    Result showDomainnameList(DomainNameDTO domainname, String userCode, int page, int size);

    Result add(DomainName domainname, List<DomainCostData> domainCostData, String userCode);

    Result queryById(Integer id);

    Result edit(DomainName domainName);

    Result publishById(Integer id);

    Result deleteMyself(Integer id);


}
